> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook

> The endpoint returns the details of a specific webhook by the given ID.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json get /webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /webhooks/{webhook_id}:
    get:
      tags:
        - Webhooks
      summary: Get webhook
      description: The endpoint returns the details of a specific webhook by the given ID.
      operationId: get-webhook
      parameters:
        - name: webhook_id
          in: path
          required: true
          description: Webhook ID.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/WebhookResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/shared/api/models/webhook-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookResponse:
      properties:
        webhook:
          $ref: '#/components/schemas/Webhook'
      additionalProperties: false
      type: object
      required:
        - webhook
    Webhook:
      properties:
        id:
          type: string
        name:
          type: string
        vendor:
          type: string
        url:
          type: string
        api_key:
          type: string
        api_version:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        events:
          $ref: '#/components/schemas/StringArray'
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - vendor
        - url
        - api_version
        - created_at
        - updated_at
        - events
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
    StringArray:
      items:
        type: string
      type: array
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````